| GET | /api/ca/public-key |
| GET | /api/ca/status |
| POST | /api/ca/rotate |
Active CA public key
GET/api/ca/public-key
Returns active CA public key + fingerprint.
Authentication: bearer token.
Permission: ca.view.
bash
curl -X GET "https://shellius.example.com/api/ca/public-key" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
json
{ "success": true, "data": { … } }CA metadata + cert count
GET/api/ca/status
Returns CA metadata + cert count.
Authentication: bearer token.
Permission: ca.view.
bash
curl -X GET "https://shellius.example.com/api/ca/status" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
json
{ "success": true, "data": { … } }Rotate CA key pair
POST/api/ca/rotate
Super_admin only.
Authentication: bearer token.
Permission: ca.rotate.
bash
curl -X POST "https://shellius.example.com/api/ca/rotate" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
json
{ "success": true, "data": { … } }